BEAGLE(1)

NAME
beagled - the Beagle desktop search daemon

SYNOPSIS
beagled [options]

DESCRIPTION

beagled, the Beagle daemon, is the heart of Beagle, a system for searching and managing your personal information space. The Beagle daemon should normally be started as part of user's desktop startup process.

Running beagled by hand is of use for those wishing to customize the Beagle daemon's execution via command-line options, developers testing Beagle, or those who use Beagle only infrequently.

OPTIONS

--foreground|--fg
    If specified, execute the Beagle daemon in the foreground.

--background|--bg
    If specified, execute the Beagle daemon in the background (default).

--replace
    If specified, the daemon tries to shutdown and replace any other Beagle daemon already running.

--backend
    Configure which backends to use.

--backend <name>
        Only start backend 'name'

--backend +<name>
        Additionally start backend 'name'

--backend -<name>
        Disable backend 'name'

--list-backends
    Retrieve a list of all known backends. This list of backends can then be used with with the --allow/deny-backend options. Using this argument will print out the list of backends and then exit.

--add-static-backend
    Add a static backend by path.

--version
    Show version of daemon, Mono, and Sqlite.

ADVANCE OPTIONS
These options are mainly for debugging and fine-tuning execution and are thus not required for standard use.

--debug
    Enable extensive logging suited for general debugging purposes.

--debug-memory
    Enable mono debugging suited for extensive debugging purposes.

--indexing-test-mode
     Run in foreground, and exit when fully indexed.

--indexing-delay
    Time to wait before indexing. (Default 60 seconds)

--disable-scheduler
    Disable the internal scheduler and thus refrain the Beagle daemon from performing any crawling or indexing. Search facilities will remain enabled.

--disable-text-cache
    Dont't cache text content of the indexed data. This option only affects data that is indexed in the current session of beagled.

AUTHOR
Novell, Inc.

REPORTING BUGS
Report bugs to http://bugzilla.gnome.org

COPYRIGHT
Copyright © 2005-2007 Novell, Inc.

This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
beagle-query(1), beagle-status(1), beagle-shutdown(1),